Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup
Summary: Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15503
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-14 16:25 UTC by Nick Clemens
Modified: 2017-03-26 20:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup (3.74 KB, patch)
2017-02-14 16:33 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup (3.79 KB, patch)
2017-02-15 11:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup (3.86 KB, patch)
2017-03-03 16:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup (4.49 KB, patch)
2017-03-06 11:07 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup (4.56 KB, patch)
2017-03-07 18:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-02-14 16:25:04 UTC

    
Comment 1 Nick Clemens 2017-02-14 16:33:52 UTC
Created attachment 60217 [details] [review]
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup

To test:
Use a vendor with values in gstrate, listincgst, discount and ensure they are used correctly in plan from 15503

Bug 15503 test plan:
1) Edit the MarcItemFieldsToOrder syspref. For example:
homebranch: 975$a
holdingbranch: 975$b
itype: 975$9|975$z
nonpublic_note: 975$x
public_note: 975$y
loc: 975$8
ccode: 975$c
notforloan: 975$7
uri: 975$u
copyno: 975$n
quantity: 969$h
budget_code: 922$a
price: 975$p

2) Create some sample records in koha with values in these fields, then save them as Unicode-UTF-8
Example:
922    _aBudget_code_1
922    _aBudget_code_2
969    _h3
969    _h1
975    _71
       _8loc
       _9CD
       _aHomebranch_1
       _bHoldingbranch_1
       _cccode_1
       _ncopyno
       _uuri
       _xnonpublic_note
       _ypublic_note
       _p12.5
975    _70
       _8loc2
       _aHomebranch_2
       _bHoldingbranch_2
       _cccode_2
       _ncopyno2
       _uuri2
       _xnonpublic_note2
       _ypublic_note2
       _zDVD
       _p22

3) Import your test records with the import tool (Stage MARC records for import)

4) Choose a basket, then click on "Add to basket" => "From a staged file"

5) Choose the file you have imported. For each record that had item informations, you will have a preview of the item that will be created on the left side of the screen. Values can still be modified at this point. Save.

6) Check that the items and corresponding order lines have been created.
Comment 2 Kyle M Hall 2017-02-15 11:24:52 UTC
Created attachment 60249 [details] [review]
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup

To test:
Use a vendor with values in gstrate, listincgst, discount and ensure they are used correctly in plan from 15503

Bug 15503 test plan:
1) Edit the MarcItemFieldsToOrder syspref. For example:
homebranch: 975$a
holdingbranch: 975$b
itype: 975$9|975$z
nonpublic_note: 975$x
public_note: 975$y
loc: 975$8
ccode: 975$c
notforloan: 975$7
uri: 975$u
copyno: 975$n
quantity: 969$h
budget_code: 922$a
price: 975$p

2) Create some sample records in koha with values in these fields, then save them as Unicode-UTF-8
Example:
922    _aBudget_code_1
922    _aBudget_code_2
969    _h3
969    _h1
975    _71
       _8loc
       _9CD
       _aHomebranch_1
       _bHoldingbranch_1
       _cccode_1
       _ncopyno
       _uuri
       _xnonpublic_note
       _ypublic_note
       _p12.5
975    _70
       _8loc2
       _aHomebranch_2
       _bHoldingbranch_2
       _cccode_2
       _ncopyno2
       _uuri2
       _xnonpublic_note2
       _ypublic_note2
       _zDVD
       _p22

3) Import your test records with the import tool (Stage MARC records for import)

4) Choose a basket, then click on "Add to basket" => "From a staged file"

5) Choose the file you have imported. For each record that had item informations, you will have a preview of the item that will be created on the left side of the screen. Values can still be modified at this point. Save.

6) Check that the items and corresponding order lines have been created.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Jonathan Druart 2017-02-24 16:17:46 UTC
Matts, Any chances to get a signoff on this one?
Comment 4 Matthias Meusburger 2017-03-01 16:16:17 UTC
With the patch applied, after validating the items informations, I have a "The method gstrate is not covered by tests!" error message.
Comment 5 Nick Clemens 2017-03-03 16:11:22 UTC
Created attachment 60811 [details] [review]
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup

Fix use of 'gstrate' for 'tax_rate'
Comment 6 Matthias Meusburger 2017-03-06 11:07:25 UTC
Created attachment 60834 [details] [review]
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup

Fix use of 'gstrate' for 'tax_rate'

Signed-off-by: Matthias Meusburger <matthias.meusburger@biblibre.com>
Comment 7 Jonathan Druart 2017-03-07 18:10:28 UTC
Created attachment 60888 [details] [review]
Bug 18115 - Fix use of Objects as hashref in acqui/addorderiso2709.pl - Bug 15503 followup

Fix use of 'gstrate' for 'tax_rate'

Signed-off-by: Matthias Meusburger <matthias.meusburger@biblibre.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Brendan Gallagher 2017-03-23 10:01:28 UTC
Pushed to Master - Should be in the 17.05 release.  Thanks!
Comment 9 Katrin Fischer 2017-03-26 20:31:04 UTC
Depends on bug 15503 which is not in 16.11.x.